net.minecraft.client.shader

## Class ShaderGroup

- java.lang.Object
- - net.minecraft.client.shader.ShaderGroup

-     public class ShaderGroup
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ShaderGroup(IResourceManager p_i45088_1_, Framebuffer p_i45088_2_, ResourceLocation p_i45088_3_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFramebuffer(java.lang.String p_148020_1_, int p_148020_2_, int p_148020_3_)`
    `Shader` | `addShader(java.lang.String p_148023_1_, Framebuffer p_148023_2_, Framebuffer p_148023_3_)`
    `void` | `createBindFramebuffers(int p_148026_1_, int p_148026_2_)`
    `void` | `deleteShaderGroup()`
    `java.lang.String` | `getShaderGroupName()`
    `void` | `initFromLocation(ResourceLocation p_148025_1_)`
    `void` | `loadShaderGroup(float p_148018_1_)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ShaderGroup

          public ShaderGroup(IResourceManager p_i45088_1_,
                     Framebuffer p_i45088_2_,
                     ResourceLocation p_i45088_3_)
                      throws JsonException

      Throws:
        `JsonException`

  - ### Method Detail

    - #### initFromLocation

          public void initFromLocation(ResourceLocation p_148025_1_)
                                throws JsonException

      Throws:
        `JsonException`

    - #### addFramebuffer

          public void addFramebuffer(java.lang.String p_148020_1_,
                            int p_148020_2_,
                            int p_148020_3_)

    - #### deleteShaderGroup

          public void deleteShaderGroup()

    - #### addShader

          public Shader addShader(java.lang.String p_148023_1_,
                         Framebuffer p_148023_2_,
                         Framebuffer p_148023_3_)
                           throws JsonException

      Throws:
        `JsonException`

    - #### createBindFramebuffers

          public void createBindFramebuffers(int p_148026_1_,
                                    int p_148026_2_)

    - #### loadShaderGroup

          public void loadShaderGroup(float p_148018_1_)

    - #### getShaderGroupName

          public final java.lang.String getShaderGroupName()